function table = PrintImpRespTable(table,texfn,start,inc,std)
%table = raw data generated by Create_ImpulseResponse_Table.m - structure
%with row and colomn lables, data on up and down impulses and corresponding
%standard errors
%textfn = filename of TeX output file
%start  = first lead month to report
%inc    = increment; set to 1 if all data is to be printed, set to 3 if
%only responses every quarter are to be printed
%std    = true - insert rows with standard errors, false - do not report
%standard errors


rowh    = table.rowh;

data    = table.data;
J       = size(data,2);
I       = size(data,1);
if mod(I,inc)~=0
    error('inc needs to be devisor of 24');
end
if start>inc
    error('first reported response needs to be less than or equal inc');
end
    
colh    = cell(1,J/4*3);
if std
   rowh1   = cell(I/inc*2,1);
   prndata = cell(I/inc*2,J/4*3);
else
   rowh1   = cell(I/inc,1);
   prndata = cell(I/inc,J/4*3);
end

i = 1;
for j=1:J/4*3
    if mod(j-1,3)==0
       colh(j) = table.colh1(i,1);
       i = i + 1;
    end
end


i  = start;
ii = 1;
while i <= I %go through all rows, starting with start
    j = 1;
    jj = 1;
    while j<=J
        if ~isnan(data(i,j))
               if isodd(j)
                   if data(i,j)>0
                       prstr    = ['\ ',num2str(data(i,j),'% -6.3f')];
                   else
                       prstr    = num2str(data(i,j),'% -6.3f');
                   end                 
               else
                    t_ratio   = abs(data(i,j-1)/data(i,j));
                    if t_ratio > 2.5758
                        prstr = [prstr,'***'];
                    elseif t_ratio > 1.96
                        prstr = [prstr,'** '];
                    elseif t_ratio > 1.645
                        prstr = [prstr,'*  '];
                    else
                        prstr = [prstr,'   '];
                    end         
                    prndata(ii,jj)   = cellstr(prstr); 
                    rowh1(ii,1)      = rowh(i);                   
                    if std
                        %add a row with standard error
                        prstr  = ['(',num2str(data(i,j),'% -6.3f'),')'];
                        prndata(ii+1,jj)   = cellstr(prstr);
                        rowh1(ii+1,1)      = cellstr('');
                        jj = jj + 1;
                        if mod(jj,3)==0 %add separating column
                           prndata(ii,jj) = cellstr('');
                           prndata(ii+1,jj) = cellstr('');
                           jj = jj + 1;
                        end
                    else
                        jj = jj + 1;
                        if mod(jj,3)==0 %add separating column
                           prndata(ii,jj) = cellstr('');
                           jj = jj + 1;
                        end
                    end
               end
            else
            prstr     = '';
            stdestr   = '';
        end 
        j  = j  + 1;
    end %while j    
    if std
       ii = ii + 2;
    else
       ii = ii + 1; 
    end
    i  = i  + inc;
end %while i
table.prndata = prndata;
if ischar(texfn)
    matrix2latex(prndata, texfn, 'rowLabels', rowh1, 'columnLabels', colh,'size', 'small');
else
    error('PrintTable second argument needs to be textstring of the form filename.tex');
end
return
